Summary:	Various RPM command-line tools
Name:		rpmtools
Version:	6.2
Release:	%mkrel 2
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Configuration/Packaging
URL:		http://svn.mageia.org/soft/rpm/rpmtools/
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	perl-devel
BuildRequires:	perl-MDV-Packdrakeng
BuildRequires:	perl-MDV-Distribconf
Requires:	perl-MDV-Distribconf > 3.00
Requires:	xz
Requires:	genhdlist2
Requires:	perl-URPM >= 3.39
Conflicts:	rpmtools-compat <= 2.0
Conflicts:	rpmtools-devel <= 2.0
Conflicts:	packdrake < 5.0.26

%description
Various tools needed by urpmi and drakxtools for handling rpm files.

%package -n	packdrake
Group:		%{group}
Summary:	A simple Archive Extractor/Builder
Conflicts:	rpmtools <= 5.0.25
Provides:	perl(packdrake)

%description -n	packdrake
Packdrake is a simple indexed archive builder and extractor using
standard compression methods.

%package -n	genhdlist2
Group:		%{group}
Summary:	Tool to generate urpmi metadata (media_info/*)
Conflicts:	rpmtools <= 5.4

%description -n	genhdlist2
genhdlist2 generates hdlist.cz, synthesis.hdlist.cz and *.xml.lzma files used
by urpmi

%prep
%setup -q

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/dumpdistribconf
%{_bindir}/gendistrib
%{_bindir}/genhdlist-old
%{_mandir}/man1/dumpdistribconf*
%{_mandir}/man1/gendistrib*
%{_mandir}/man1/genhdlist-old.*

%files -n packdrake
%defattr(-,root,root)
%{_bindir}/packdrake
%{perl_vendorlib}/packdrake.pm
%{_mandir}/man1/packdrake*

%files -n genhdlist2
%defattr(-,root,root)
%{_bindir}/genhdlist2
%{_mandir}/man1/genhdlist2*





%changelog

* Tue Feb 28 2012 tv <tv> 6.2-2.mga2
+ Revision: 215804
- bump require on URPM

* Mon Feb 27 2012 tv <tv> 6.2-1.mga2
+ Revision: 215734
- keep real filesizes in synthesis

* Fri Sep 09 2011 tv <tv> 6.1-1.mga2
+ Revision: 141836
- new release:
  force locale to be C (mga#95, Pascal Terjan)
  (when packages contain translated summary/description genhdlist2 would embed
  them instead of the English version)
- new URL

* Sat Jan 15 2011 blino <blino> 6.0-1.mga1
+ Revision: 18768
- imported package rpmtools

